Plan extension actions for an Act turn
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/conversations/act/extension-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/conversations/act/extension-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/conversations/act/extension-plan \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '{}'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Conversations
Plan extension actions for an Act turn
POST
/
api
/
v1
/
conversations
/
act
/
extension-plan
Plan extension actions for an Act turn
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/conversations/act/extension-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/conversations/act/extension-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/conversations/act/extension-plan \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '{}'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Required string length:
1 - 160Available options:
chat, automate Available options:
chat, work Available options:
image, video Required range:
x > 0Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 1Available options:
provider-default, none, minimal, low, medium, high, xhigh Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.